divert(-1)
dnl changecom(`;')

* outils
define(`ALIAS', `define($1`_IP4', $2`'_IP4)')
define(`MAKE_GETTER', `define(`$1', $`'1`_'$`'0)')
MAKE_GETTER(`NAME')
MAKE_GETTER(`IP4')
define(`FQDN', `NAME($1).ZONE_DOMAIN')

* ATELIERS
define(`ATELIERS_NAME', `ateliers')
define(`ATELIERS_IP4', `IP4(VM)')
define(`ATELIERS_NS_NAME', `ns')
ALIAS(`ATELIERS_NS', `ATELIERS')
define(`ATELIERS_MX_NAME', `mx')
ALIAS(`ATELIERS_MX', `ATELIERS')

divert(0)dnl
; vim: ft=bindzone

$TTL 1d ; TTL (Time To Live) par défaut pour les enregistrements

; ENREGISTREMENT « SOA » (Start Of Authority).
@ SOA NAME(ATELIERS_NS) hostmaster (
	ZONE_SERIAL ; Serial number.
	1d ; Refresh.
	15m ; Retry.
	2592000 ; Expire.
	1d ; TTL (Time To Live) minimum.
 )

; ENREGISTREMENTS « A » (DNS -> adresse IPv4)
NAME(ATELIERS) A IP4(ATELIERS)

@          A IP4(ATELIERS)
git        A IP4(ATELIERS)
imap       A IP4(ATELIERS_MX)
mail       A IP4(ATELIERS_MX)
mx         A IP4(ATELIERS_MX)
ns         A IP4(ATELIERS_NS)
remorque   A IP4(ATELIERS)
smtp       A IP4(ATELIERS_MX)
submission A IP4(ATELIERS_MX)
www        A IP4(ATELIERS)

; ENREGISTREMENTS « CNAME » (Canonical NAME)
; NOTE : l'utilisation de CNAME n'est judicieuse que si la ressource pointée
; n'est pas sous notre contrôle. Par exemple,
; foo.example.org. CNAME foo.example.com.
; Dans le cas contraire, le seul résultat est un traffic réseau accru,
; et l'emploi de macros est préférable.
; ```You keep using CNAME records. I do not think they mean what you think they mean.'''

; ENREGISTREMENTS « MX » (Mail eXchange)
; NOTE : le reverse et le forward associés au nom donné à un enregistrement MX
; devraient correspondre. Certains antispams le vérifient, et certains (rares) admins
; bloquent même au niveau de la session SMTP si il ne correspond pas.
@ MX 10 NAME(ATELIERS_MX)

; ENREGISTREMENTS « NS » (Name Server)
@ NS NAME(ATELIERS_NS)

; ENREGISTREMENTS "PTR" (IPv* -> name)
; NOTE : Dans le cas d’hébergement massif de domaines virtuels derrière une même adresse IP,
;        il est recommandé de ne pas appliquer sans discernement la règle un enregistrement PTR
;        par enregistrement A (ou AAAA) : le nombre des champs PTR à renvoyer pouvant faire dépasser
;        à la réponse la taille des paquets UDP et entraîner l’utilisation du protocole TCP
;        (plus coûteux en resources) pour envoyer la réponse à la requête DNS ;
;        cf. section "4.4 Usage and deployment considerations" du document :
;        http://tools.ietf.org/html/draft-ietf-dnsop-reverse-mapping-considerations

; ENREGISTREMENTS "SPF" (Sender Policy Framework)
@ 3600 IN SPF "v=spf1 mx -all"
@ 3600 IN TXT "v=spf1 mx -all"

; ENREGISTREMENTS « SRV » (SeRVice)
_git._tcp.git 18000 IN SRV 0 0 9418 git

; ENREGISTREMENTS « SSHFP » (Secure SHell FingerPrint)
esyscmd(sudo ssh-keygen -r $(hostname))
